## etesync-dav 0.20.4

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt setup.py
#
appdirs==1.4.3            # via etesync, etesync-dav (setup.py)
asn1crypto==0.24.0        # via etesync
certifi==2019.6.16        # via requests
cffi==1.12.3              # via cryptography, etesync
chardet==3.0.4            # via requests
click==7.0                # via flask
cryptography==3.0         # via etesync
defusedxml==0.6.0         # via radicale
etesync==0.12.1           # via etesync-dav (setup.py)
flask-wtf==0.14.2         # via etesync-dav (setup.py)
flask==1.1.1              # via etesync-dav (setup.py), flask-wtf
furl==2.0.0               # via etesync
idna==2.8                 # via etesync, requests
itsdangerous==1.1.0       # via flask
jinja2==2.10.1            # via flask
markupsafe==1.1.1         # via jinja2
orderedmultidict==1.0     # via etesync, furl
packaging==19.0           # via etesync
passlib==1.7.2            # via radicale
peewee==3.9.6             # via etesync
py==1.8.0                 # via etesync
pyasn1==0.4.5             # via etesync
pycparser==2.19           # via cffi, etesync
pyparsing==2.4.0          # via etesync, packaging
pysocks==1.7.1            # via requests
python-dateutil==2.8.0    # via etesync, radicale, vobject
pytz==2019.1              # via etesync
radicale==3.0.3           # via etesync-dav (setup.py)
requests[socks]==2.22.0   # via etesync, etesync-dav (setup.py)
six==1.12.0               # via cryptography, etesync, furl, orderedmultidict, packaging, python-dateutil
urllib3==1.25.3           # via requests
vobject==0.9.6.1          # via etesync, radicale
werkzeug==0.15.5          # via flask
wtforms==2.2.1            # via flask-wtf

=== debian/changelog ===
etesync-dav (0.20.4-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare buildsystem explicitly (not in environment)
  * simplify source script copyright-chceck
  * enable autopkgtest
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 12)
  * add patches cherry-picked upstream:
    + slightly relax radicale requirements
    + add workaround for contacts without an FN
  * update build-dependency on python3-radicale

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Dec 2021 20:35:06 +0100

etesync-dav (0.17.0-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * rules: fix export DH_OPTIONS (not declare them twice)
  * skip checking ico files for copyright info
  * drop patch  cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2020 12:23:52 +0200

etesync-dav (0.16.0-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream to fix use https for web UI
  * copyright: update coverage
  * fix build-depend on
    python3-appdirs python3-etesync python3-pytest python3-radicale
  * relax to depend unversioned on
    python3-appdirs python3-etesync python3-flask:
    needed version satisfied even in oldstable
    (when available at all)
  * declare compliance with Debian Policy 4.5.0
  * watch: drop unused options dversionmangle repacksuffix
  * stop tolerate test failures when targeting experimental

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Apr 2020 15:00:43 +0200

etesync-dav (0.14.2-1) experimental; urgency=low

  * initial packaging release
    closes: bug#951233

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2020 15:32:43 +0100

=== debian/control ===
Source: etesync-dav
Section: net
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-appdirs <!nocheck>,
 python3-etesync <!nocheck>,
 python3-pytest <!nocheck>,
 python3-radicale (<< 3.1) <!nocheck>,
 python3-radicale (>= 3.0.3) <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/etesync-dav.git
Vcs-Browser: https://salsa.debian.org/debian/etesync-dav
Homepage: https://www.etesync.com/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: etesync-dav
Architecture: all
Depends:
 python3-etesync-dav (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: CalDAV and CardDAV adapter for EteSync - daemon
 etesync-dav is a local CalDAV and CardDAV server
 that acts as an EteSync compatibility layer (adapter).
 It's meant for letting desktop CalDAV and CardDAV clients
 such as Thunderbird, Outlook and Apple Contacts
 connect with EteSync.
 .
 This package provides the etesync-dav daemon.

Package: python3-etesync-dav
Architecture: all
Depends:
 python3-appdirs,
 python3-etesync,
 python3-flask,
 python3-flask-wtf (>= 0.14.2),
 python3-radicale (<< 2.1.12),
 python3-radicale (>= 2.1.11),
 ${misc:Depends},
 ${python3:Depends},
Description: CalDAV and CardDAV adapter for EteSync - libraries
 etesync-dav is a local CalDAV and CardDAV server
 that acts as an EteSync compatibility layer (adapter).
 It's meant for letting desktop CalDAV and CardDAV clients
 such as Thunderbird, Outlook and Apple Contacts
 connect with EteSync.
 .
 This package provides the etesync-dav library for Python 3.

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/etesync/etesync-dav/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
